View Issue Details

IDProjectCategoryView StatusLast Update
0006663mantisbtreportspublic2016-07-19 04:19
ReporterstevemagruderAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.0.0rc5 
Target Version2.0.0-beta.1Fixed in Version2.0.0-beta.1 
Summary0006663: I'm seeing three JPGraph-related problems
Description

1) When I first installed JPGraph, I mistakenly installed the version for PHP4 on my PHP5 server--but when I looked at the summary graphs, I correctly saw three different types of graphs (but with a pie chart/legend mismatch problem). So I installed the correct JPGraph for PHP5 (v2.0) -- Now all that I see is a pie chart (with no mismatch problem); the other chart types are now not displaying at all.

2) Nothing at all is displaying on the "Advanced Summary" page.

3) The legend for the pie chart on the "Per category" page is cut off at the bottom. But then, I have around 30 categories defined for that project.

Here's client/server version info:

Client: Windows 2000, Firefox 1.5.0.1
Server: Mandriva 2006, PHP 5.0.4, Apache 2.0.54, JPGraph 2.0

TagsNo tags attached.

Relationships

related to 0012825 closedvboctor Modern graphs using javascript graphing library 

Activities

stevemagruder

stevemagruder

2006-02-02 19:39

reporter   ~0012069

Re: 3) The legend is also covering up much of the pie graph. I'm attaching an image to demonstrate.

2006-02-02 19:39

 

MantisPieGraphIssue.jpg (71,858 bytes)
MantisPieGraphIssue.jpg (71,858 bytes)
squarebox

squarebox

2009-12-04 01:18

reporter  

QS_20091204-151337.jpg (55,368 bytes)
QS_20091204-151337.jpg (55,368 bytes)
squarebox

squarebox

2009-12-04 01:22

reporter   ~0023851

added another screenshot of what i think is the same problem showing up in 1.2.0rc2 int he graph plugin. In this screenshot the labels on the bottom graph are cut off. The actual image is getting cut so i wonder if it's an error in JPgraph's creation of the image as opposed to the window not being big enough to display the graph.

Issue History

Date Modified Username Field Change
2006-02-02 19:30 stevemagruder New Issue
2006-02-02 19:39 stevemagruder Note Added: 0012069
2006-02-02 19:39 stevemagruder File Added: MantisPieGraphIssue.jpg
2009-12-04 01:18 squarebox File Added: QS_20091204-151337.jpg
2009-12-04 01:22 squarebox Note Added: 0023851
2009-12-04 03:05 vboctor Status new => acknowledged
2014-11-25 11:04 vboctor Category graphs => reports
2016-07-09 16:45 vboctor Relationship added related to 0012825
2016-07-09 17:30 vboctor Assigned To => vboctor
2016-07-09 17:30 vboctor Status acknowledged => resolved
2016-07-09 17:30 vboctor Resolution open => fixed
2016-07-09 17:30 vboctor Fixed in Version => 2.0.0-beta.1
2016-07-09 17:30 vboctor Target Version => 2.0.0-beta.1
2016-07-19 04:19 vboctor Status resolved => closed